[general]
static=yes
writeprotect=no

[default]
exten => s,1,Hangup
include => invalid

[macro-stdexten]
exten => s,1,agi(call-record.agi,${CALLERIDNUM},${ARG1})
exten => s,2,GotoIF($["${SAVECALL}"="0"]?8)
exten => s,3,Set(CALLDIR=/pbx/var/spool/monitor/web/${STRFTIME(${EPOCH},GMT+3,%G-%m-%d)})
exten => s,4,system(test -d "${CALLDIR}" || mkdir "${CALLDIR}")
exten => s,5,Set(CALLFILENAME=${CALLDIR}/${TIMESTAMP}-${CALLERIDNUM}-${ARG1})
exten => s,6,system(test -f "${CALLFILENAME}" || touch "${CALLFILENAME}.gsm")
exten => s,7,ExecIF($["${SAVECALL}" = "1"],MixMonitor,${CALLFILENAME}.gsm,b)
exten => s,8,Dial(${ARG2},90,rt)					; Ring the interface, 20 seconds maximum
exten => s,n,Congestion

[macro-stdextensip]
exten => s,1,Dial(${ARG2},90,rt)					; Ring the interface, 20 seconds maximum
exten => s,n,Congestion

[macro-stdexten-out]
exten => s,1,agi(call-record.agi,${CALLERIDNUM},${ARG1})
exten => s,2,GotoIF($["${SAVECALL}"="0"]?8)
exten => s,3,Set(CALLDIR=/pbx/var/spool/monitor/web/${STRFTIME(${EPOCH},GMT+3,%G-%m-%d)})
exten => s,4,system(test -d "${CALLDIR}" || mkdir "${CALLDIR}")
exten => s,5,Set(CALLFILENAME=${CALLDIR}/${TIMESTAMP}-${CALLERIDNUM}-${ARG1})
exten => s,6,system(test -f "${CALLFILENAME}" || touch "${CALLFILENAME}.gsm")
exten => s,7,ExecIF($["${SAVECALL}" = "1"],MixMonitor,${CALLFILENAME}.gsm,b)
exten => s,8,Dial(${ARG2},90,rT)					; Ring the interface, 20 seconds maximum
exten => s,n,Congestion

[macro-stdexten-web]
exten => s,1,agi(call-record.agi,${CALLERIDNUM},${ARG1})
exten => s,2,GotoIF($["${SAVECALL}"="0"]?8)
exten => s,3,Set(CALLDIR=/pbx/var/spool/monitor/web/${STRFTIME(${EPOCH},GMT+3,%G-%m-%d)})
exten => s,4,system(test -d "${CALLDIR}" || mkdir "${CALLDIR}")
exten => s,5,Set(CALLFILENAME=${CALLDIR}/${TIMESTAMP}-${CALLERIDNUM}-${ARG1})
exten => s,6,system(test -f "${CALLFILENAME}" || touch "${CALLFILENAME}.gsm")
exten => s,7,ExecIF($["${SAVECALL}" = "1"],MixMonitor,${CALLFILENAME}.gsm,b)
exten => s,8,Dial(${ARG2},${ARG3},rt)					; Ring the interface, 20 seconds maximum
exten => s,n,Congestion

[int-service]
; Call Centre at-q1 with openhours (from definity)
exten => 510,1,Set(LANGUAGE()=ru)
exten => 510,2,Answer
exten => 510,3,Set(CALLDIR=/pbx/var/spool/monitor/cc/${STRFTIME(${EPOCH},GMT+3,%G-%m-%d)})
exten => 510,4,system(test -d "${CALLDIR}" || mkdir "${CALLDIR}")
exten => 510,5,Set(CALLFILENAME=${CALLDIR}/${TIMESTAMP}-${CALLERIDNUM}-${EXTEN})
exten => 510,6,system(test -f "${CALLFILENAME}" || touch "${CALLFILENAME}.gsm")
exten => 510,7,ExecIF($["${NOMIXMON}" != "1"],MixMonitor,${CALLFILENAME}.gsm,b)
exten => 510,8,ExecIF($["${NOMIXMON}" = "1"],Monitor,gsm,${CALLFILENAME},mb)
exten => 510,9,Wait(1)
exten => 510,10,Playback(assa-hello)
exten => 510,11,Wait(1)
exten => 510,12,Playback(notification)
exten => 510,13,Queue(at-q1,t,,,3600)
exten => 510,n,Hangup

; TESTQ 
exten => 581,1,Set(LANGUAGE()=ru)
exten => 581,n,Answer
exten => 581,n,SayNumber(${CALLERIDNUM})
exten => 581,n,Hangup

;OTP Queue at-otp
;exten => 560,1,Set(LANGUAGE()=ru)
;exten => 560,2,Answer
;exten => 560,3,Queue(at-otp,rt,,,900)
;exten => 560,n,Hangup

exten => 560,1,Answer()
exten => 560,n,Queue(at-otp,tr,,,900)
exten => 560,n,GotoIf($["${QUEUESTATUS}" = "TIMEOUT"]?lblhangup:)
exten => 560,n,GotoIf($["${QUEUESTATUS}" = "FULL"]?lblbusy:)
exten => 560,n,GotoIf($["${QUEUESTATUS}" = "JOINEMPTY"]?lblhangup:)
exten => 560,n,GotoIf($["${QUEUESTATUS}" = "LEAVEEMPTY"]?lblhangup:)
exten => 560,n,GotoIf($["${QUEUESTATUS}" = "JOINUNAVAIL"]?lblhangup:)
exten => 560,n,GotoIf($["${QUEUESTATUS}" = "LEAVEUNAVAIL"]?lblhangup:)
exten => 560,n(lblhangup),Hangup()
exten => 560,n(lblbusy),Busy()

;OOA 
exten => 570,1,Set(LANGUAGE()=ru)
exten => 570,2,Dial(SIP/536&SIP/537&SIP/538,90,rt)
exten => 570,n,Hangup
; OOA-Ur-Doc
exten => 571,1,Set(LANGUAGE()=ru)
exten => 571,2,Dial(SIP/536,15,rt)
exten => 571,3,Dial(SIP/538,15,rt)
exten => 571,4,Dial(SIP/537,15,rt)
exten => 571,n,Hangup
; OOA-Ur-Sverka
exten => 572,1,Set(LANGUAGE()=ru)
exten => 572,2,Dial(SIP/538,15,rt)
exten => 572,3,Dial(SIP/536,15,rt)
exten => 572,4,Dial(SIP/537,15,rt)
exten => 572,n,Hangup
; OOA-Fiz
exten => 573,1,Set(LANGUAGE()=ru)
exten => 573,2,Dial(SIP/537,15,rt)
exten => 573,3,Dial(SIP/538,15,rt)
exten => 573,4,Dial(SIP/536,15,rt)
exten => 573,n,Hangup
;OOA Queue ooa1
exten => 574,1,Set(LANGUAGE()=ru)
exten => 574,2,Answer
exten => 574,3,Queue(ooa1,rt,,,240)
exten => 574,4,Queue(ooa2,rt,,,240)
exten => 574,5,Queue(ooa3,rt,,,240)
exten => 574,n,Congestion
;OOA Queue ooa2
exten => 575,1,Set(LANGUAGE()=ru)
exten => 575,2,Answer
exten => 575,3,Queue(ooa2,rt,,,240)
exten => 575,4,Queue(ooa1,rt,,,240)
exten => 575,5,Queue(ooa3,rt,,,240)
exten => 575,n,Congestion
;OOA Queue ooa3
exten => 576,1,Set(LANGUAGE()=ru)
exten => 576,2,Answer
exten => 576,3,Queue(ooa3,rt,,,240)
exten => 576,4,Queue(ooa2,rt,,,240)
exten => 576,5,Queue(ooa1,rt,,,240)
exten => 576,n,Congestion
;Dudinskaya & Gil
exten => 593,1,Set(LANGUAGE()=ru)
exten => 593,2,Dial(Zap/g1/117&Zap/g1/427,90,rt)
exten => 593,n,Hangup
;Test MusicOnHold Coding
exten => 594,1,Set(LANGUAGE()=ru)
exten => 594,2,Answer
exten => 594,3,MusicOnHold(default)
exten => 594,n,Congestion
;Test queue test
exten => 595,1,Set(LANGUAGE()=ru)
exten => 595,2,Answer
exten => 595,3,Queue(test,rt,,,240)
exten => 595,n,Congestion
; Test
exten => 596,1,Set(LANGUAGE()=ru)
exten => 596,2,Playback(offlinecall)
exten => 596,n,Hangup
; BILLING SYSTEM CONTROL
exten => 597,1,Set(LANGUAGE()=ru)
exten => 597,2,Goto(billtechacc,s,1)
exten => 597,n,Hangup
; Echo test
exten => 598,1,Set(LANGUAGE()=ru)
exten => 598,2,Wait,1
exten => 598,3,Answer
exten => 598,4,Echo
exten => 598,n,Hangup
; Demo Balanse
exten => 599,1,Set(LANGUAGE()=ru)
exten => 599,2,Wait,1		; Balanse
exten => 599,3,Answer
exten => 599,4,agi(balance.agi)
exten => 599,n,Hangup
; Voicemail System
exten => 888,1,VoicemailMain
exten => 888,n,Hangup
;AgentLogin
exten => 580,1,Set(LANGUAGE()=ru)
exten => 580,2,AgentLogin()
exten => 580,n,Hangup
;AgentLogin
exten => 880,1,Set(LANGUAGE()=ru)
exten => 880,2,AgentLogin()
exten => 880,n,Hangup

; Local ata-186 lines
[int-ata]
; ATA-186.161 Line 1
exten => 500,1,Dial(SIP/${EXTEN},20,rt)
exten => 500,2,Hangup
; ATA-186.161 Line 2
exten => 501,1,Dial(SIP/${EXTEN},20,rt)
exten => 501,2,Hangup
; ATA-186.162 Line 1
;exten => 502,1,Dial(SIP/${EXTEN},20,rt)
exten => 502,1,Dial(Zap/g1/233&Zap/g1/240&Zap/g1/231&Zap/g1/435,20,rt)
exten => 502,2,Hangup
; ATA-186.162 Line 2
exten => 503,1,Dial(SIP/${EXTEN},40,rt)
exten => 503,n,Hangup

; Local clients softphones
[int-sip]
; Gomel VG-400 Mapping peer name "gomel"
; Group 600 - > 501
exten => 600,1,Dial(SIP/501@gomel,20,rt)
exten => 600,n,Hangup
; Kohanevich
exten => 602,1,Dial(SIP/201@gomel,20,rt)
exten => 602,n,Hangup
; Pergamenschik
exten => 603,1,Dial(SIP/205@gomel,20,rt)
exten => 603,n,Hangup
;Krivonos
exten => 604,1,Dial(SIP/206@gomel,20,rt)
exten => 604,n,Hangup
;Romanchenko
exten => 605,1,Dial(SIP/207@gomel,20,rt)
exten => 605,n,Hangup
;Kokleev
exten => 606,1,Dial(SIP/211@gomel,20,rt)
exten => 606,n,Hangup
;Gomel Call Center Test
exten => 607,1,Dial(SIP/215@gomel,20,rt)
exten => 607,n,Hangup
exten => 608,1,Dial(SIP/216@gomel,20,rt)
exten => 608,n,Hangup


; Mogilev VG-400 Mapping peer name "mogilev"
; Sharapkin
exten => 622,1,Dial(SIP/201@mogilev,20,rt)
exten => 622,n,Hangup
; Vahonin
exten => 623,1,Dial(SIP/205@mogilev,20,rt)
exten => 623,n,Hangup
;Zaitseva
;exten => 624,1,Dial(SIP/204@mogilev,20,rt)
;exten => 624,n,Hangup
;Tomukevich
exten => 625,1,Dial(SIP/207@mogilev,20,rt)
exten => 625,n,Hangup
;Lakeev
exten => 626,1,Dial(SIP/202@mogilev,20,rt)
exten => 626,n,Hangup
;Osadchii
exten => 627,1,Dial(SIP/209@mogilev,20,rt)
exten => 627,n,Hangup
;Mogilev LoopBack Test
exten => 628,1,Dial(SIP/206@mogilev,20,rt)
exten => 628,n,Hangup

#include "sipexten.conf"

[at-internalcall]
include => int-sip ; internal sip clients
include => int-ata ; ata-186
include => int-service ; Internal services
; 9XXX - > Office calls through E1
exten => _9[1-5]XX,1,Macro(stdexten,${EXTEN},Zap/r1/${EXTEN:1})
exten => _9[1-5]XX,n,Hangup

; Grodno
exten => _6[4-5]X,1,Dial(SIP/${EXTEN}@c2801-grodno,20,rt)
exten => _6[4-5]X,n,Hangup

; Brest
exten => _6[6-7]X,1,Dial(SIP/${EXTEN}@c2801-brest,20,rt)
exten => _6[6-7]X,n,Hangup

; Vitebsk
exten => _6[8-9]X,1,Dial(SIP/${EXTEN}@c2801-vitebsk,20,rt)
exten => _6[8-9]X,n,Hangup

[at-internal]
include => at-internalcall
include =>invalid

[at-citycall]
; City Calls throught E1 City DIRECT
exten => _[1-7]XXXXXX,1,Set(LANGUAGE()=ru)
exten => _[1-7]XXXXXX,2,Set(CDR(accountcode)=1)
exten => _[1-7]XXXXXX,3,agi(mvz.agi,${CALLERIDNUM})
exten => _[1-7]XXXXXX,4,agi(outcid.agi,${CALLERIDNUM})
exten => _[1-7]XXXXXX,5,SetCallerID("${NEWCID}" <${NEWCID}>)
exten => _[1-7]XXXXXX,6,SetCDRUserField(${NEWMVZ})
exten => _[1-7]XXXXXX,7,Macro(stdexten-out,${EXTEN},Zap/r2/${EXTEN})
exten => _[1-7]XXXXXX,n,Hangup
; Short Numbers: 1XX
exten => _1XX,1,Set(LANGUAGE()=ru)
exten => _1XX,2,Set(CDR(accountcode)=1)
exten => _1XX,3,agi(mvz.agi,${CALLERIDNUM})
exten => _1XX,4,agi(outcid.agi,${CALLERIDNUM})
exten => _1XX,5,SetCallerID("${NEWCID}" <${NEWCID}>)
exten => _1XX,6,SetCDRUserField(${NEWMVZ})
exten => _1XX,7,Dial(Zap/r2/${EXTEN})
exten => _1XX,n,Hangup

[at-city]
include => at-internalcall
include => at-citycall
include =>invalid

[at-mobilecall]
exten => _802[59]XXXXXXX,1,Set(LANGUAGE()=ru)
exten => _802[59]XXXXXXX,2,Set(CDR(accountcode)=2)
exten => _802[59]XXXXXXX,3,agi(mvz.agi,${CALLERIDNUM})
exten => _802[59]XXXXXXX,4,agi(outcid.agi,${CALLERIDNUM})
exten => _802[59]XXXXXXX,5,SetCallerID("${NEWCID}" <${NEWCID}>)
exten => _802[59]XXXXXXX,6,SetCDRUserField(${NEWMVZ})
exten => _802[59]XXXXXXX,7,Macro(stdexten-out,${EXTEN},Zap/r2/${EXTEN})
exten => _802[59]XXXXXXX,n,Hangup

[at-mobile]
include => at-internalcall
include => at-citycall
include => at-mobilecall
include => invalid

[at-rbcall]
exten => _801XXXXXXXX,1,Set(LANGUAGE()=ru)
exten => _801XXXXXXXX,2,Set(CDR(accountcode)=3)
exten => _801XXXXXXXX,3,agi(mvz.agi,${CALLERIDNUM})
exten => _801XXXXXXXX,4,agi(outcid.agi,${CALLERIDNUM})
exten => _801XXXXXXXX,5,SetCallerID("${NEWCID}" <${NEWCID}>)
exten => _801XXXXXXXX,6,SetCDRUserField(${NEWMVZ})
exten => _801XXXXXXXX,7,Macro(stdexten-out,${EXTEN},Zap/r2/${EXTEN})
exten => _801XXXXXXXX,n,Hangup

exten => _802[1-3]XXXXXXX,1,Set(LANGUAGE()=ru)
exten => _802[1-3]XXXXXXX,2,Set(CDR(accountcode)=3)
exten => _802[1-3]XXXXXXX,3,agi(mvz.agi,${CALLERIDNUM})
exten => _802[1-3]XXXXXXX,4,agi(outcid.agi,${CALLERIDNUM})
exten => _802[1-3]XXXXXXX,5,SetCallerID("${NEWCID}" <${NEWCID}>)
exten => _802[1-3]XXXXXXX,6,SetCDRUserField(${NEWMVZ})
exten => _802[1-3]XXXXXXX,7,Macro(stdexten-out,${EXTEN},Zap/r2/${EXTEN})
exten => _802[1-3]XXXXXXX,n,Hangup

exten => _802[2-3]2008,1,Set(LANGUAGE()=ru)
exten => _802[2-3]2008,2,Set(CDR(accountcode)=3)
exten => _802[2-3]2008,3,agi(mvz.agi,${CALLERIDNUM})
exten => _802[2-3]2008,4,agi(outcid.agi,${CALLERIDNUM})
exten => _802[2-3]2008,5,SetCallerID("${NEWCID}" <${NEWCID}>)
exten => _802[2-3]2008,6,SetCDRUserField(${NEWMVZ})
exten => _802[2-3]2008,7,Macro(stdexten-out,${EXTEN},Zap/r2/${EXTEN})
exten => _802[2-3]2008,n,Hangup

[at-rb]
include => at-internalcall
include => at-citycall
include => at-rbcall
include =>invalid

[at-lddcall]
exten => _810.,1,Set(LANGUAGE()=ru)
exten => _810.,2,Set(CDR(accountcode)=4)
exten => _810.,3,agi(mvz.agi,${CALLERIDNUM})
exten => _810.,4,agi(outcid.agi,${CALLERIDNUM})
exten => _810.,5,SetCallerID("${NEWCID}" <${NEWCID}>)
exten => _810.,6,SetCDRUserField(${NEWMVZ})
exten => _810.,7,Macro(stdexten-out,${EXTEN},Zap/r2/${EXTEN})
exten => _810.,n,Hangup

[at-ldd]
include => at-internalcall
include => at-citycall
include => at-rbcall
include => at-mobilecall
include => at-lddcall
include =>invalid

[ext-op-day]
; Sales Corp
exten => 1,1,Dial(Zap/g1/428&Zap/g1/431&Zap/g1/426&Zap/g1/133&Zap/g1/425&Zap/g1/128&Zap/g1/137&Zap/g1/120,25,rt)
exten => 1,2,Set(LANGUAGE()=vmop)
exten => 1,3,VoiceMail(1000)
exten => 1,4,Hangup
; Sales PrivateLine
exten => 2,1,Dial(Zap/g1/427&Zap/g1/117,15,rt)
exten => 2,2,Dial(Zap/g1/427)
exten => 2,3,Set(LANGUAGE()=vmop)
exten => 2,4,VoiceMail(1001)
exten => 2,5,Hangup
; Sales MultiLine
exten => 3,1,Dial(Zap/g1/117&Zap/g1/427,15,rt)
exten => 3,2,Dial(Zap/g1/430,15,rt)
exten => 3,3,Set(LANGUAGE()=vmop)
exten => 3,4,VoiceMail(1002)
exten => 3,5,Hangup

[external]
; Call Centre at-q1 with openhours (from city)
exten => 0172390000,1,Set(LANGUAGE()=ru)
; TEMP BLOCK till 7:00
;exten => 0172390000,2,GotoIfTime(07:00-23:00|*|*|*?4)
;exten => 0172390000,3,Hangup
exten => 0172390000,2,Answer
exten => 0172390000,3,Set(CALLDIR=/pbx/var/spool/monitor/cc/${STRFTIME(${EPOCH},GMT+3,%G-%m-%d)})
exten => 0172390000,4,system(test -d "${CALLDIR}" || mkdir "${CALLDIR}")
exten => 0172390000,5,Set(CALLFILENAME=${CALLDIR}/${TIMESTAMP}-${CALLERIDNUM}-${EXTEN})
exten => 0172390000,6,system(test -f "${CALLFILENAME}" || touch "${CALLFILENAME}.gsm")
exten => 0172390000,7,ExecIF($["${NOMIXMON}" != "1"],MixMonitor,${CALLFILENAME}.gsm,b)
exten => 0172390000,8,ExecIF($["${NOMIXMON}" = "1"],Monitor,gsm,${CALLFILENAME},mb)
exten => 0172390000,9,Wait(1)
exten => 0172390000,10,Playback(assa-hello)
exten => 0172390000,11,Wait(1)
exten => 0172390000,12,Playback(notification)
exten => 0172390000,13,Queue(at-q1,t,,,3600)
exten => 0172390000,n,Hangup
;;exten => 0172390000,2,agi(is_holiday.agi,${STRFTIME(${EPOCH},GMT+3,%G-%m-%d)})
;;exten => 0172390000,3,GotoIF(${IS_HOLIDAY}?5)
;;exten => 0172390000,4,GotoIfTime(07:00-23:00|*|*|*?9)
;;exten => 0172390000,2,GotoIfTime(07:00-23:00|*|*|*?6)
;;exten => 0172390000,5,GotoIfTime(11:00-19:00|*|*|*?9)
;;exten => 0172390000,6,Answer
;;exten => 0172390000,7,Playback(offlinecall)
;;exten => 0172390000,8,Hangup
;;exten => 0172390000,9,Answer
;;exten => 0172390000,10,Set(CALLFILENAME=/pbx/var/spool/monitor/cc/${STRFTIME(${EPOCH},GMT+3,%G-%m-%d)}/${TIMESTAMP}-${CALLERIDNUM}-${EXTEN})
;;exten => 0172390000,11,ExecIF($["${NOMIXMON}" != "1"],MixMonitor,${CALLFILENAME}.gsm,b)
;;exten => 0172390000,12,ExecIF($["${NOMIXMON}" = "1"],Monitor,gsm,${CALLFILENAME},mb)
;;exten => 0172390000,13,Queue(at-q1,t,,,3600)
;;exten => 0172390000,n,Hangup

; Lidiya Hmelevskaya VIP
exten => 0172390009,1,Set(LANGUAGE()=ru)
exten => 0172390009,2,Dial(SIP/551,30,rt)
exten => 0172390009,3,Dial(SIP/518&SIP/533&SIP/534,90,rt)
exten => 0172390009,n,Hangup
; Sales Corp
exten => 0172390001,1,Goto(ext-op-day,1,1)
exten => 0172390011,1,Goto(ext-op-day,1,1)
exten => 0172390002,1,Goto(ext-op-day,2,1)
exten => 0172390012,1,Set(LANGUAGE()=ru)
exten => 0172390012,2,Dial(Zap/g1/427,90,rt)
exten => 0172390012,n,Hangup
exten => 0172390003,1,Goto(ext-op-day,3,1)
exten => 0172390013,1,Goto(ext-op-day,3,1)
; Card Sector
exten => 0172390014,1,Set(LANGUAGE()=ru)
exten => 0172390014,2,Dial(SIP/525&Zap/g1/246,90,rt)
exten => 0172390014,n,Hangup
; Sergey Fedorenko
exten => 0172390015,1,Set(LANGUAGE()=ru)
exten => 0172390015,2,Dial(Zap/g1/201,90,rt)
exten => 0172390015,n,Hangup
; Kubas
exten => 0172390016,1,Set(LANGUAGE()=ru)
exten => 0172390016,2,Dial(Zap/g1/125,90,rt)
exten => 0172390016,n,Hangup

; ProStore
exten => 0172390017,1,Set(LANGUAGE()=ru)
exten => 0172390017,2,Dial(Zap/g1/230,90,rt)
exten => 0172390017,n,Hangup
; Web
exten => 0172390029,1,Set(LANGUAGE()=ru)
exten => 0172390029,2,Dial(SIP/557&SIP/558,30,rt)
exten => 0172390029,n,Hangup
; OM Chief
exten => 0172390031,1,Set(LANGUAGE()=ru)
exten => 0172390031,2,Dial(Zap/g1/438,15,rt)
exten => 0172390031,3,Dial(Zap/g1/129&Zap/g1/434&Zap/g1/438,75,rt)
exten => 0172390031,n,Hangup
; OM Dept
exten => 0172390033,1,Set(LANGUAGE()=ru)
exten => 0172390033,2,Dial(Zap/g1/129&Zap/g1/434&Zap/g1/438,90,rt)
exten => 0172390033,n,Hangup
; Chief
exten => 0172390039,1,Set(LANGUAGE()=ru)
exten => 0172390039,2,Dial(Zap/g1/115,90,rt)
exten => 0172390039,n,Hangup
; Secretary
exten => 0172390040,1,Set(LANGUAGE()=ru)
exten => 0172390040,2,Dial(Zap/g1/202,90,rt)
exten => 0172390040,n,Hangup
; Findirector
exten => 0172390042,1,Set(LANGUAGE()=ru)
exten => 0172390042,2,Dial(Zap/g1/111,40,rt)
exten => 0172390042,3,Dial(Zap/g1/111&Zap/g1/202,50,rt)
exten => 0172390042,n,Hangup
; GlavBuh
exten => 0172390043,1,Set(LANGUAGE()=ru)
exten => 0172390043,2,Dial(Zap/g1/118,40,rt)
exten => 0172390043,3,Dial(Zap/g1/118&Zap/g1/106&Zap/g1/131,50,rt)
exten => 0172390043,n,Hangup
; Buhgaltery
exten => 0172390044,1,Set(LANGUAGE()=ru)
exten => 0172390044,2,Dial(Zap/g1/106&Zap/g1/131,40,rt)
exten => 0172390044,3,Dial(Zap/g1/118&Zap/g1/106&Zap/g1/131,50,rt)
exten => 0172390044,n,Hangup
; UU
exten => 0172390045,1,Set(LANGUAGE()=ru)
exten => 0172390045,2,Dial(Zap/g1/141&Zap/g1/145,90,rt)
exten => 0172390045,n,Hangup
; Finmanagers
exten => 0172390046,1,Set(LANGUAGE()=ru)
exten => 0172390046,2,Dial(Zap/g1/116,40,rt)
exten => 0172390046,3,Dial(Zap/g1/111&Zap/g1/116,50,rt)
exten => 0172390046,n,Hangup
; SAP
exten => 0172390047,1,Set(LANGUAGE()=ru)
exten => 0172390047,2,Dial(Zap/g1/429,40,rt)
exten => 0172390047,3,Dial(Zap/g1/429&Zap/g1/116,50,rt)
exten => 0172390047,n,Hangup
;
exten => 0172390048,1,Set(LANGUAGE()=ru)
exten => 0172390048,2,Dial(Zap/g1/244,90,rt)
exten => 0172390048,n,Hangup
; Recruting
exten => 0172390049,1,Set(LANGUAGE()=ru)
exten => 0172390049,2,Dial(Zap/g1/424,60,rt)
exten => 0172390049,3,Dial(Zap/g1/142,30,rt)
exten => 0172390049,n,Hangup
; OOA Chief
;exten => 0172390051,1,Set(LANGUAGE()=ru)
;exten => 0172390051,2,Dial(Zap/g1/203,90,rt)
;exten => 0172390051,n,Hangup
; OOA-Fiz
exten => 0172390051,1,Set(LANGUAGE()=ru)
exten => 0172390051,2,Dial(SIP/537,15,rt)
exten => 0172390051,3,Dial(SIP/538,15,rt)
exten => 0172390051,4,Dial(SIP/536,15,rt)
exten => 0172390051,n,Hangup

; OTP Chief
;exten => 0172390052,1,Set(LANGUAGE()=ru)
;exten => 0172390052,2,Dial(SIP/535,90,rt)
;exten => 0172390052,n,Hangup
; OOA
exten => 0172390053,1,Set(LANGUAGE()=ru)
exten => 0172390053,2,Dial(SIP/536&SIP/538,15,rt)
exten => 0172390053,3,Dial(SIP/537,15,rt)
exten => 0172390053,n,Hangup
; Ozhigin Sergey
exten => 0172390021,1,Set(LANGUAGE()=ru)
exten => 0172390021,2,Dial(SIP/589&SIP/587&SIP/588&SIP/505,90,rt)
exten => 0172390021,n,Hangup
; OTP
exten => 0172390022,1,Set(LANGUAGE()=ru)
exten => 0172390022,2,Answer
exten => 0172390022,3,Queue(at-otp,rt,,,3600)
exten => 0172390022,n,Hangup
; Sale Web Lab.
exten => 0172390023,1,Set(LANGUAGE()=ru)
exten => 0172390023,2,Macro(stdexten-web,566,SIP/566&SIP/585&SIP/586,90)
exten => 0172390023,n,Hangup

; Support Web Lab.
exten => 0172390024,1,Set(LANGUAGE()=ru)
exten => 0172390024,2,Set(NOMIXMON=1)
exten => 0172390024,3,Set(CALLDIR=/pbx/var/spool/monitor/cc/${STRFTIME(${EPOCH},GMT+3,%G-%m-%d)})
exten => 0172390024,4,system(test -d "${CALLDIR}" || mkdir "${CALLDIR}")
exten => 0172390024,5,Set(CALLFILENAME=${CALLDIR}/${TIMESTAMP}-${CALLERIDNUM}-${EXTEN})
exten => 0172390024,6,system(test -f "${CALLFILENAME}" || touch "${CALLFILENAME}.gsm")
exten => 0172390024,7,ExecIF($["${NOMIXMON}" != "1"],MixMonitor,${CALLFILENAME}.gsm,b)
exten => 0172390024,8,ExecIF($["${NOMIXMON}" = "1"],Monitor,gsm,${CALLFILENAME},mb)
exten => 0172390024,9,Dial(SIP/567&SIP/568&SIP/569&SIP/577&SIP/583&SIP/584,90,rt)
exten => 0172390024,n,Hangup
; Internal Res.
exten => 0172390025,1,Set(LANGUAGE()=ru)
exten => 0172390025,2,Dial(SIP/554&SIP/565,90,rt)
exten => 0172390025,n,Hangup
; OVR
;exten => 0172390027,1,Set(LANGUAGE()=ru)
;exten => 0172390027,2,Dial(SIP/545,90,rt)
;exten => 0172390027,n,Hangup
; Zhivitsky Dmitry
exten => 0172390055,1,Set(LANGUAGE()=ru)
exten => 0172390055,2,Dial(Zap/g1/124,90,rt)
exten => 0172390055,n,Hangup
; OA Group
exten => 0172390056,1,Set(LANGUAGE()=ru)
exten => 0172390056,2,Dial(Zap/g1/233&Zap/g1/240&Zap/g1/231&Zap/g1/435,90,rt)
exten => 0172390056,n,Hangup
; Ashukevich Alexandr
exten => 0172390057,1,Set(LANGUAGE()=ru)
exten => 0172390057,2,Dial(SIP/529,90,rt)
exten => 0172390057,n,Hangup
; TO
exten => 0172390061,1,Set(LANGUAGE()=ru)
exten => 0172390061,2,Dial(SIP/523,45,rt)
exten => 0172390061,3,Dial(SIP/503,45,rt)
exten => 0172390061,n,Hangup
; Kasperovich Valery
exten => 0172390062,1,Set(LANGUAGE()=ru)
exten => 0172390062,2,Dial(SIP/500,20,rt)
exten => 0172390062,3,Dial(SIP/501,70,rt)
exten => 0172390062,4,Dial(SIP/542,70,rt)
exten => 0172390062,n,Hangup
; Oleg Gawriloff
exten => 0172390063,1,Set(LANGUAGE()=ru)
exten => 0172390063,2,Dial(SIP/528,90,rt)
exten => 0172390063,n,Hangup
; Protchenko Vladimir
exten => 0172390065,1,Set(LANGUAGE()=ru)
exten => 0172390065,2,Dial(SIP/520,20,rt)
exten => 0172390065,3,Dial(SIP/501,70,rt)
exten => 0172390065,4,Set(LANGUAGE()=vmop)
exten => 0172390065,5,VoiceMail(140)
exten => 0172390065,n,Hangup
; SKS Dispetcher
exten => 0172390066,1,Set(LANGUAGE()=ru)
exten => 0172390066,2,Dial(SIP/501&SIP/504,90,rt)
exten => 0172390066,n,Hangup
;TEST 
exten => 0172390095,1,Set(LANGUAGE()=ru)
exten => 0172390095,2,LookupBlacklist()
exten => 0172390095,3,GotoIf($["${LOOKUPBLSTATUS}" = "FOUND"]?6:)
exten => 0172390095,4,System(echo "${CALLERIDNUM}" >>/pbx/var/log/bad.log )
exten => 0172390095,5,Hangup()
exten => 0172390095,6,System(echo "Перезвоните пожалуйста по номеру ${CALLERIDNUM}"| mailx -s "PODKLUCHENIE ${CALLERIDNUM}" "otpreq@telecom.by" )
exten => 0172390095,7,System(echo "${CALLERIDNUM}" >>/pbx/var/log/good.log )
exten => 0172390095,8,Goto(5)

;TEST ASSA
exten => 0172390096,1,Set(LANGUAGE()=ru)
exten => 0172390096,n,Goto(callcentreivrmain,s,1)
; DISA
exten => 0172390097,1,Set(LANGUAGE()=ru)
exten => 0172390097,2,DISA(no-password,at-internal)
exten => 0172390097,n,Hangup
; Sergey Yakovlev
exten => 0172390098,1,Set(LANGUAGE()=ru)
exten => 0172390098,2,Dial(SIP/521,90,rt)
exten => 0172390098,n,Hangup

; Balance
exten => 0172390099,1,Set(LANGUAGE()=ru)
exten => 0172390099,2,Wait,1
exten => 0172390099,3,Answer
exten => 0172390099,4,agi(balance.agi)
exten => 0172390099,n,Hangup

include => invalid


[invalid]
exten => _X.,1,Set(LANGUAGE()=ru)
exten => _X.,2,Playback(invalid)
exten => _X.,n,Hangup
exten => s,1,Set(LANGUAGE()=ru)
exten => s,2,Playback(invalid)
exten => s,n,Hangup

[fromdefinity]
exten => _X.,1,Set(LANGUAGE()=ru)
exten => _X.,2,agi(contextbycid.agi,${CALLERIDNUM})
exten => _X.,3,Goto(${NEWCONTEXT},${EXTEN},1)
exten => _X.,n,Congestion

[fromvg400]
exten => _X.,1,Set(LANGUAGE()=ru)
exten => _X.,2,agi(regionbyip.agi,${SIPCHANINFO(peerip)})
exten => _X.,3,SetCallerID("${REGCID}" <${REGCID}>)
exten => _X.,4,Set(NOMIXMON=1)
exten => _X.,5,Goto(at-internal,${EXTEN},1)
exten => _X.,n,Congestion

;==============================================
; BILLING HARDWARE DIAGNOSTICS & CONTROL MENU ;
;==============================================
[billtechacc]
exten => s,1,Set(LANGUAGE()=ru)
exten => s,2,Ringing
exten => s,3,Wait(1)
exten => s,4,Answer
exten => s,5,Authenticate(${STRFTIME(${EPOCH},GMT+3,%m%d%u)}) ; password is Month (01-12) Day (01-31) DoW (1-7), 1 - Monday
exten => s,6,Playback(billtechann) ; Announce
exten => s,7,Background(billtechacc) ; Loop Entry Point: Main Menu Would be here
exten => s,8,WaitExten(30)	; Menu waiting timeout
exten => s,9,Playback(vm-goodbye)
exten => s,n,Hangup
; Invalid Extension
exten => i,1,Playback(invalid)
exten => i,n,Goto(s,7)
; Exit with 0
exten => 0,1,Playback(vm-goodbye)
exten => 0,n,Hangup
;======== HAWK
;hawk load averages
exten => 10,1,agi(getload.agi,'hawk.telecom.by')
exten => 10,2,Playback(cpuload)
exten => 10,3,Playback(by1min)
exten => 10,4,SayNumber(${LOAD1})
exten => 10,5,Playback(by5min)
exten => 10,6,SayNumber(${LOAD5})
exten => 10,7,Playback(by15min)
exten => 10,8,SayNumber(${LOAD15})
exten => 10,n,Goto(s,7)
; hawk: postmasters: count
exten => 11,1,Playback(connections)
exten => 11,2,agi(postproc.agi,hawk)
exten => 11,3,SayNumber(${DBPROC})
exten => 11,n,Goto(s,7)
; hawk: load periodic
exten => 12,1,agi(getload.agi,'hawk.telecom.by')
exten => 12,2,SayNumber(${LOAD1})
exten => 12,n,Goto(12,1)
; hawk: fast reload
exten => 13,1,Playback(fastreload)
exten => 13,2,System(date >>/pbx/script/hawk.log)
exten => 13,3,System(/usr/bin/ssh -i /pbx/script/hawk yakovlev@hawk.telecom.by "sudo /usr/local/etc/rc.d/postgresql restart" >>/pbx/script/hawk.log)
exten => 13,4,Playback(complete)
exten => 13,n,Goto(s,7)
; hawk: immidiate reload
exten => 14,1,Playback(immidiatereload)
exten => 14,2,System(date >>/pbx/script/hawk.log)
exten => 14,3,System(/usr/bin/ssh -i /pbx/script/hawk yakovlev@hawk.telecom.by "sudo /usr/local/etc/rc.d/postgresql restart \'-m i\'" >>/pbx/script/hawk.log)
exten => 14,4,Playback(complete)
exten => 14,n,Goto(s,7)

;======== NEW-HAWK
;new-hawk: load averages
exten => 30,1,agi(getload.agi,'new-hawk.telecom.by')
exten => 30,2,Playback(cpuload)
exten => 30,3,Playback(by1min)
exten => 30,4,SayNumber(${LOAD1})
exten => 30,5,Playback(by5min)
exten => 30,6,SayNumber(${LOAD5})
exten => 30,7,Playback(by15min)
exten => 30,8,SayNumber(${LOAD15})
exten => 30,n,Goto(s,7)
; new-hawk: postmasters: count
exten => 31,1,Playback(connections)
exten => 31,2,agi(postproc.agi,new-hawk)
exten => 31,3,SayNumber(${DBPROC})
exten => 31,n,Goto(s,7)
; hawk: load periodic
exten => 32,1,agi(getload.agi,'new-hawk.telecom.by')
exten => 32,2,SayNumber(${LOAD1})
exten => 32,n,Goto(32,1)
; new-hawk: fast reload
exten => 33,1,Playback(fastreload)
exten => 33,2,System(date >>/pbx/script/new-hawk.log)
exten => 33,3,System(/usr/bin/ssh -i /pbx/script/new-hawk yakovlev@new-hawk.telecom.by "sudo /usr/local/etc/rc.d/postgresql restart" >>/pbx/script/new-hawk.log)
exten => 33,4,Playback(complete)
exten => 33,n,Goto(s,7)
; new-hawk: immidiate reload
exten => 34,1,Playback(immidiatereload)
exten => 34,2,System(date >>/pbx/script/new-hawk.log)
exten => 34,3,System(/usr/bin/ssh -i /pbx/script/new-hawk yakovlev@new-hawk.telecom.by "sudo /usr/local/etc/rc.d/postgresql restart \'-m i\'" >>/pbx/script/new-hawk.log)
exten => 34,4,Playback(complete)
exten => 34,n,Goto(s,7)

[callcentreivrmain]

exten => t,1(lbl_callcentreivrmain_0),Set(TIMEOUT(response)=10)
exten => t,n,Set(TIMEOUT(digit)=3)
exten => t,n,Background(notification)
exten => t,n(lbl_callcentreivrmain_1),Set(TIMEOUT(response)=10)
exten => t,n,Set(TIMEOUT(digit)=3)
exten => t,n,Background(1)
exten => t,n,WaitExten(10)
exten => t,n,Goto(lbl_callcentreivrmain_0)
exten => i,1,Goto(t,lbl_callcentreivrmain_0)
exten => s,1,Goto(t,lbl_callcentreivrmain_1)
exten => 1,1,Gosub(menu1,s,1)
exten => 1,n,Goto(t,lbl_callcentreivrmain_1)
exten => 0,1(lbl_callcentreivrmain_2),Playback(vm-goodbye)
exten => 0,n,Hangup()
exten => *,1,Goto(0,lbl_callcentreivrmain_2)
exten => #,1,Goto(0,lbl_callcentreivrmain_2)

[menu1]

exten => s,1(lbl_menu1_0),Playback(assa-hello)
exten => s,n,WaitExten(10)
exten => s,n,Playback(vm-goodbye)
exten => s,n,Hangup()
exten => 1,1,Goto(s,lbl_menu1_0)
exten => 2,1,agi(balance2.agi)
exten => #,1,Return()
exten => *,1,Goto(callcentreivrmain,s,1)
